# Class QuorumCnxManager.InitialMessage

java.lang.Object
org.apache.zookeeper.server.quorum.QuorumCnxManager.InitialMessage

Enclosing class:
  `QuorumCnxManager`

public static class QuorumCnxManager.InitialMessage extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`QuorumCnxManager.InitialMessage.InitialMessageException`

## Field Summary

Fields
Modifier and Type
Field
Description
`List<InetSocketAddress>`
`electionAddr`
`Long`
`sid`

## Method Summary

Modifier and Type
Method
Description
`static QuorumCnxManager.InitialMessage`
`parse(Long protocolVersion, DataInputStream din)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### sid

public Long sid

### electionAddr

public List<InetSocketAddress> electionAddr

## Method Details

### parse

public static QuorumCnxManager.InitialMessage parse(Long protocolVersion, DataInputStream din) throws QuorumCnxManager.InitialMessage.InitialMessageException, IOException

Throws:
  `QuorumCnxManager.InitialMessage.InitialMessageException`
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`